import React from 'react';
import { totalPrice } from '../../util/order_history_util';

const Order = (props) => {

    const {order} = props;
    const {orderItems, customerAddress} = order;

    const orderTotalPrice = totalPrice(orderItems);
    const orderPlaced = new Date(order.orderCreatedAt);

    return (
        <div>
            <p>Order ID: {order.id}</p>
            <p>Order Status: {order.orderStatus}</p>
            <p>Order Placed: {orderPlaced.getUTCMonth()}
                /{orderPlaced.getUTCDay()}
                /{orderPlaced.getUTCFullYear()}
            </p>
            <p>
                Delivery Address: {`
                ${customerAddress.street},
                ${customerAddress.city},
                ${customerAddress.state} ${customerAddress.zip}
                `}
            </p>
            <p>Total Price: ${orderTotalPrice}</p>

        </div>
    )
}

export default Order;